Bug 133267 - FC3 release notes -- glibc corruption sanity checks
FC3 release notes -- glibc corruption sanity checks
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
: 133278 (view as bug list)
Depends On:
Blocks: fc-relnotes-blocker
  Show dependency treegraph
Reported: 2004-09-22 16:15 EDT by Bill Nottingham
Modified: 2014-03-16 22:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-28 16:12:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-09-22 16:15:07 EDT
Please add a descriptive phrase to the summary, and more in-depth
description here (be sure to note any arch-specific issues):

Please pull in bug 133266.
Comment 1 Ed Bailey 2004-09-23 14:23:17 EDT
*** Bug 133278 has been marked as a duplicate of this bug. ***
Comment 2 Ed Bailey 2004-09-28 12:11:27 EDT
(For those people that lack the special X-ray vision glasses required
to view bug 133266, it contains the following text:)

The glibc in RHEL4 will perform more sanity checks internally in order
to prevent and detect data corruption early. In case that you have a
program from a third party ISV that triggers these corruption checks
you should file a defect report with the vendor of this application
since this indicates a really serious bug; however you can also chose
to accept the data corruption and disable the checks by setting
"MALLOC_CHECK_=0" in the environment.

We should provide an example and show this:

*** glibc detected *** double free or corruption: 0x0937d008 ***

Comment 3 Ed Bailey 2004-09-28 16:12:01 EDT
Added; closing...

Note You need to log in before you can comment on or make changes to this bug.